text-show-3.10.4: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Control.Concurrent

Contents

- Orphan instances

Description

`TextShow` instances for concurrency-related data types.

Since: 2

# Orphan instances

TextShow BlockReason Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> BlockReason -> Builder Source #

showb :: BlockReason -> Builder Source #

showbList :: [BlockReason] -> Builder Source #

showtPrec :: Int -> BlockReason -> Text Source #

showt :: BlockReason -> Text Source #

showtList :: [BlockReason] -> Text Source #

showtlPrec :: Int -> BlockReason -> Text Source #

showtl :: BlockReason -> Text Source #

showtlList :: [BlockReason] -> Text Source #

TextShow ThreadId Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ThreadId -> Builder Source #

showb :: ThreadId -> Builder Source #

showbList :: [ThreadId] -> Builder Source #

showtPrec :: Int -> ThreadId -> Text Source #

showt :: ThreadId -> Text Source #

showtList :: [ThreadId] -> Text Source #

showtlPrec :: Int -> ThreadId -> Text Source #

showtl :: ThreadId -> Text Source #

showtlList :: [ThreadId] -> Text Source #

TextShow ThreadStatus Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ThreadStatus -> Builder Source #

showb :: ThreadStatus -> Builder Source #

showbList :: [ThreadStatus] -> Builder Source #

showtPrec :: Int -> ThreadStatus -> Text Source #

showt :: ThreadStatus -> Text Source #

showtList :: [ThreadStatus] -> Text Source #

showtlPrec :: Int -> ThreadStatus -> Text Source #

showtl :: ThreadStatus -> Text Source #

showtlList :: [ThreadStatus] -> Text Source #